Bug 754713

Summary: Laptop boots with minimum brightness
Product: [Fedora] Fedora Reporter: Piotr Drąg <piotrdrag>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: airlied, ajax, bskeggs, collura
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 17:45:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg
none
messages
none
Xorg.0.log
none
lsmod
none
lspci none

Description Piotr Drąg 2011-11-17 08:47:07 EST
Created attachment 534199 [details]
dmesg

Description of problem:

After booting laptop always have minimum brightness. I can increase it manually with Fn key or in GNOME Control Center, but after next reboot it goes back to the minimum.

Version-Release number of selected component (if applicable):

kernel-3.1.1-1.fc16.x86_64
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.x86_64
upower-0.9.14-1.fc16.x86_64
gnome-power-manager-3.2.1-1.fc16.x86_64
gnome-settings-daemon-3.2.1-3.fc16.x86_64

Additional info:

01:00.0 VGA compatible controller: nVidia Corporation GT216 [GeForce GT 240M] (rev a2)

[root@Piotrek-laptop ~]# ls -lR /sys/class/backlight
/sys/class/backlight:
total 0
lrwxrwxrwx 1 root root 0 Nov 17  2011 acpi_video0 -> ../../devices/pci0000:00/0000:00:01.0/0000:01:00.0/backlight/acpi_video0
Comment 1 Piotr Drąg 2011-11-17 08:47:59 EST
Created attachment 534202 [details]
messages
Comment 2 Piotr Drąg 2011-11-17 08:48:22 EST
Created attachment 534203 [details]
Xorg.0.log
Comment 3 Piotr Drąg 2011-11-17 08:48:42 EST
Created attachment 534205 [details]
lsmod
Comment 4 Piotr Drąg 2011-11-17 08:49:35 EST
Created attachment 534206 [details]
lspci
Comment 5 Ben Skeggs 2011-11-17 17:25:36 EST
I expect you probably have SBIOS options for this?  Nouveau doesn't even attempt touch the backlight unless ACPI doesn't provide an interface.
Comment 6 Piotr Drąg 2011-11-18 10:29:53 EST
I don't see anything related to backlight in the BIOS. Also, it was working ok in F15 with 2.6.40 kernel, and just recently brightness bar in control-center stopped working (Fn key still works), so I'm starting to think it's GNOME's fault.
Comment 7 Fedora End Of Life 2013-07-03 17:01:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Piotr Drąg 2013-07-03 17:37:08 EDT
The issue is still present in F19/3.9, but as there is little chance it would get fixed I won't update 'version'.
Comment 9 Fedora End Of Life 2013-07-31 17:45:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.